No joy with XComposite extension on Gutsy on Thinkbook X60

Dan Kegel dank at
Thu Oct 4 16:22:57 CDT 2007

Sorry, here's a little brain dump before I go to bed.

I'm running updated Gutsy beta on a Thinkbook X60, and
am testing out wine from git on Google Earth.
Initially it aborted on startup with
X Error of failed request:  BadValue (integer parameter out of range
for operation)
  Major opcode of failed request:  145 (XFree86-DRI)
The log also showed it couldn't find the XComposite extension,
and sure enough, config.log showed configure hadn't found it.
I think I fixed this with
   sudo apt-get install libxcomposite-dev
and reconfiguring and rebuilding Wine.  But now when I start
Google Earth, it aborts with
According to
this is "libgl1-mesa-dri: miscompiled with current gcc".
A patch was attached there:;bug=394311
The bug's been reported to Ubuntu:

Any clues?
- Dan

More information about the wine-devel mailing list